{include file="header.tpl"}

{if $errors}
<div id="errors">
	<img class="icon" src="/skins/default/images/icons/simple_system.png" alt="ошибка!" /> Во время операции произошли ошибки:
	<ul>
	{foreach from=$errors item=error_msg}
		<li>{$error_msg}</li>
	{/foreach}
	</ul>
</div>
{/if}

{if !$finish}
<div class="left" style="width:510px;">
<form action="" method="post">
  <table>
    <tr>
      <td><a id="dblocation">Сервер БД*</a></td>
      <td><input value="{$smarty.post.dblocation|default:$dblocation|default:"localhost"|escape}" type="text" name="dblocation" /></td>
    </tr>
    <tr>
      <td><a id="dbname">Название БД*</a></td>
      <td><input value="{$smarty.post.dbname|default:$dbname|escape}" type="text" name="dbname" /></td>
    </tr>
    <tr>
      <td><a id="dbuser">Пользователь БД*</a></td>
      <td><input value="{$smarty.post.dbuser|default:$dbuser|escape}" type="text" name="dbuser" /></td>
    </tr>
    <tr>
      <td><a id="dbpasswd">Пароль для доступа к БД</a></td>
      <td><input value="" type="password" name="dbpasswd" /></td>
    </tr>
    <tr>
      <td><a id="prefix">Префикс таблиц*</a></td>
      <td><input value="{$smarty.post.prefix|default:$prefix|escape}" type="text" name="prefix" /></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>&nbsp;</td>
    </tr>
    <tr>
      <td><a id="login">Логин администратора*</a></td>
      <td><input value="{$smarty.post.login|escape}" type="text" name="login" /></td>
    </tr>
    <tr>
      <td><a id="pass">Пароль администратора*</a></td>
      <td><input value="" type="password" name="pass" /></td>
    </tr>
    <tr>
      <td><a id="pass1">Пароль повторно*</a></td>
      <td><input value="" type="password" name="pass1" /></td>
    </tr>
    <tr>
      <td><a id="email">Email администратора*</a></td>
      <td><input value="{$smarty.post.email|escape}" type="text" name="email" /></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td><input type="submit" value="Сохранить" />
	  <input value="{$smarty.post.code|default:$code|escape}" type="hidden" name="code" /></td>
	  <input value="true" type="hidden" name="send_db" /></td>
    </tr>

  </table>

</form>
</div>
<div class="right"> 
	<p>&nbsp;</p>
	<p><b>Сервер БД</b> - тут надо указать адрес, где размещается сервер базы данных. Как правило, это localhost, но его адрес может быть и другим. Следует уточнить эту информацию у Вашего хостера.</p>
	<p><b>Название БД</b> - необходимо указать название базы данных, где будет развернута система. Если вы не знаете точно, то лучше эту информацию так же уточнить у хостера.</p>
	<p><b>Пользователь БД</b> - имя пользователя для доступа к БД. Необходимо уточнить у хостера.</p>
	<p><b>Пароль для доступа к БД</b> - пароль для доступа к БД. Если установка происходит на локальном компьютере - может быть пустым.</p>
	<p><b>Префикс таблиц</b> - в одной базе данных можно разместить несколько копий CMS. Чтобы они не пересекались, следует задать последовательность символов (префикс), с которого будут начитаться имена таблиц текущей копии.</p>

	<p><b>администратор</b> - При установке будет создан пользователь с полными правами для управления сайтом. Необходимо задать его имя, пароль и email. Эти данные необходимо запомнить или записать и хранить в надежном месте, так как от этого зависит безопасность сайта.</p>
	
</div>
{else}
<div class="left" style="width:100%">
	<div style="text-align:center;">Подключение к базе данных прошло успешно
	<form action="/?stage=2"  method="post">
		<div>
			<input value="{$smarty.post.dblocation|default:"localhost"|escape}" type="hidden" name="dblocation" />
			<input value="{$smarty.post.dbname|escape}" type="hidden" name="dbname" />
			<input value="{$smarty.post.dbuser|escape}" type="hidden" name="dbuser" />
			<input value="{$smarty.post.dbpasswd|escape}" type="hidden" name="dbpasswd" />
			<input value="{$smarty.post.prefix|escape}" type="hidden" name="prefix" />
			<input value="{$smarty.post.login|escape}" type="hidden" name="login" />
			<input value="{$smarty.post.pass|escape}" type="hidden" name="pass" />
			<input value="{$smarty.post.email|escape}" type="hidden" name="email" />
			<input value="{$smarty.post.code|escape}" type="hidden" name="code" />
			<input type="submit" value="Продолжить" />
		</div>
	</form>
	</div>
</div>
{/if}

{include file="footer.tpl"}