CREATE TABLE ?_lc_pm (
  `mess_id` int(11) NOT NULL AUTO_INCREMENT,
  `sender_id` int(11) NOT NULL,
  `receiver_id` int(11) NOT NULL,
  `subj` varchar(150) NOT NULL,
  `msg` text NOT NULL,
  `putdate` datetime NOT NULL,
  `status` tinyint(4) NOT NULL COMMENT '0 - отправлено, 1 - удалено отправителем, 2 - удалено получаетелм',
  `unread` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`mess_id`),
  KEY `receiver_id` (`receiver_id`,`status`,`mess_id`),
  KEY `sender_id` (`sender_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE ?_lc_pm_ignore (
  `user_id` int(11) NOT NULL,
  `ignore_id` int(11) NOT NULL,
  PRIMARY KEY (`user_id`,`ignore_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE ?_lc_pm_stat (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `mess` smallint(5) unsigned NOT NULL DEFAULT '0',
  `umess` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;