<!-- начало модули -->
<div id="admin_modules_main">
	<h1>Информация о модуле</h1>
	<p>
		<a href="{url}" title="список модулей"><img src="/skins/default/images/icons/doc_list.png" alt="список модулей" /></a>
		{if $info.module_id}
			<a title="редактировать модуль"  href="{url action="edit" var1=$info.module_id}"><img src="/skins/default/images/icons/doc_edit.png" alt="редактировать модуль" /></a>  
			{if $info.disable}
				<a title="включить модуль"  href="{url action="toggle" var1=$info.module_id token=1}"><img src="/skins/default/images/icons/resume.png" alt="включить модуль" />
			{else}
				<a title="отключить модуль"  href="{url action="toggle" var1=$info.module_id token=1}"><img src="/skins/default/images/icons/pause.png" alt="отключить модуль" /></a>
			{/if}
			<a title="переустановить модуль"  href="{url action="reinstall" var1=$info.module_id token=1}" onclick="return confirm('При переустановке будет потеряна вся информация модуля!\r\n Продолжить?');"><img src="/skins/default/images/icons/reload.png" alt="переустановить модуль" /></a>
			<a title="удалить модуль"  href="{url action="delete" var1=$info.module_id}"><img src="/skins/default/images/icons/delete.png" alt="удалить модуль" /></a>
		{else}
			<a title="установить модуль" href="{url action="install" var1=$info.module}" title="установить модуль"><img src="/skins/default/images/icons/add.png" alt="установить модуль" /></a>
		{/if}
		
	</p>
	<p>Название: <b>{$info.name|escape}</b></p>
	<p>Версия: <b>{$info.version|escape}</b></p>
	<p>Компонент: <b>{if $info.component}да{else}нет{/if}</b></p>
	<p>Статичный: <b>{if $info.static}да{else}нет{/if}</b></p>
	<p>Системный: <b>{if $info.system}да{else}нет{/if}</b></p>
	{if $info.depends}<p>Этот модуль зависит от модуля <a href="{url action="info" var1=$info.depends.module}" title="Информация о модуле"><b>{$info.depends.name|escape}</b></a></p>{/if}
	
	<p><b>Описание:</b></p>
	<p>{$info.describe|escape|nl2br}</p>
	
	<div>&nbsp;</div>
	<div>
		<p><b>Возможные настройки:</b></p>
		<ul>
		{foreach $info.configs as $key=>$cfg}
			<li><b>{$cfg.title|escape}:</b> {$cfg.describe|escape} (по умолчанию {$cfg.default|escape|default:'нет'})</li>
		{foreachelse}
			<li>У этого модуля нет настроек</li>
		{/foreach}
		</ul>
	</div>
	<div>&nbsp;</div>
	<div>
		<p><b>Управление правами:</b></p>
		<ul>
		{foreach $info.access as $key=>$access}
			<li>{$access.describe|escape}</li>
		{foreachelse}
			<li>У этого модуля нет разграничения прав</li>
		{/foreach}
		</ul>

	</div>
	<div>&nbsp;</div>
	
	{if $info.component}
		<p>Этот модуль является компонентом, поэтому он будет вставлен в то место шаблона, где находится тег {ldelim}$_component{rdelim}</p>
	{else}
		<p>Для размещения этого модуля в шаблоне необходимо вписать тег {ldelim}$_module_{$info.module|escape}{rdelim} в то место, куда планируется его поместить.</p>
	{/if}
</div>
<!-- конец модули -->