<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru" lang="ru">
<head>
<title>{$_title|strip_tags|escape}</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta name="description" content="{$_description|escape}"/>
<meta name="keywords" content="{$_keywords|escape}"/>
<link rel="icon" href="{$base}favicon.ico" type="image/x-icon" />
<link rel="shortcut icon" href="{$base}favicon.ico" type="image/x-icon" />

{foreach $css as $item}
<link rel="stylesheet" type="text/css" href="{$item.path}" media="{$item.media}" />
{/foreach}
{foreach $feed_rss as $item}
<link href="{$item.path}" rel="alternate" type="application/rss+xml" title="{$item.name|escape}" />
{/foreach}
{foreach $js as $item}
<script type="text/javascript" src="{$item}"></script>
{/foreach}
</head>

<body id="page2">
<!-- header -->
	<div id="header">
		<div class="bg">
			<div class="container">
				<div class="row-1">
					<div class="wrapper">
						<div class="fleft"><a href="/" id="logo"></a></div>
						<ul class="top-links">
							<li class="first"><a href="/" title="на главную" class="home"></a></li>
							<li><a href="{url href=getModulePath("feedback")}" title="обратная связь" class="mail"></a></li>
							<li class="last"><a href="{url href=getModulePath("sitemap")}" title="карта сайта" class="sitemap info"></a></li>
						</ul>
					</div>
				</div>
				<div class="row-2">
					{$_module_menu_level}
				</div>
				<div class="row-3">
					<div id="slogan"></div>
					{$_module_login_static}
					{$_module_lc_pm_notify}
					{if $_user->group_id==1}<div id="admin_link"><a title="перейти к управлению сайтом" href="{url href=getModulePath("admin")}">{t}управление сайтом{/t}</a></div>{/if}
					<form action="{url href=getModulePath("search")}" id="search-form" method="get">
						<fieldset>
							<input type="text" class="text" name="search" value="" />
							<input type="submit" class="submit" value="НАЙТИ" />
							<input type="hidden" name="all" value="all" />
						</fieldset>
					</form>
				</div>
			</div>
		</div>
	</div>
<!-- content -->
	<div id="content">
		<div class="container">
			<div class="wrapper">
				<div class="aside maxheight">
					<div class="indent">
						{$_module_lc_guide}
						{$_module_menu_tree}
						{$_module_top_news}
					</div>
				</div>
				<div class="mainContent maxheight">
					<div class="indent">
						{$_module_breadcrumb}
						{if $errors}
							<div id="errors">
								<img class="icon" id="error_image" src="/skins/default/images/icons/error232.png" alt="ошибка!" />
								<span id="error_header">{t}Ошибка!{/t}</span>
								<ul>
								{foreach $errors as $error_msg}
									<li>{$error_msg}</li>
								{/foreach}
								</ul>
							</div>
						{/if}

						{if $system_message}
							<div id="system_message">
								{if $system_message.html}
									{$system_message.html}
								{else}
									{$system_message.text|escape}
								{/if}
							</div>
						{/if}
						{$_component}
					</div>
				</div>
			</div>
		</div>
	</div>
<!-- footer -->
	<div id="footer">
		<div class="bg">
			<div class="container" style="position:relative">
				<div id="sidebar-extra"></div>
				<div class="indent">
					<span class="version"><a title="LabCMS HomeSite" href="http://labcms.ru">LabCMS</a> v. {$core_config.version.current|escape}</span>
					<br />Designed by &nbsp;<a rel="nofollow" title="website templates provider" href="http://www.templates.com/"><img src="/skins/default/images/t-com_logo.gif" alt="website templates" /></a>
					{if $_user->group_id==1}<br /><span class="stat">{$stat}</span>{/if}
				</div>	
			</div>
		</div>
	</div>
</body>
</html>