<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta name="description" content="{$core_config.site_desc|escape}"/>
		<meta name="keywords" content="{$site_keywords|escape}"/>
		<meta name="author" content="Loki"/>
		<base href="{$base}" />
		<link rel="icon" href="{$base}favicon.ico" type="image/x-icon" />
		<link rel="shortcut icon" href="{$base}favicon.ico" type="image/x-icon" />

		{foreach $css as $item}
		<link rel="stylesheet" type="text/css" href="{$item.path}" media="{$css.media}" />
		{/foreach}

		{foreach $feed_rss as $item}
		<link href="{$item.path}" rel="alternate" type="application/rss+xml" title="{$item.name}" />
		{/foreach}

		{foreach $js as $item}
		<script type="text/javascript" src="{$item}"></script>
		{/foreach}
		<title>{$_title|default:$core_config.site_name|strip_tags|escape}</title>
		</head>
	<body>

	<div id="wrap">
		<div id="header">
			<h1><a href="/" title="{$core_config.site_desc|escape}">{$core_config.site_name|escape}</a></h1>
			<h2>{$core_config.site_desc|escape}</h2>
			{if $_user->group_id==1}<a id="admin_link" title="перейти к управлению сайтом" href="{url href=getModulePath("admin")}">управление сайтом</a>{/if}
		</div>

		<div id="content">
			<h3>У вас недостаточно прав для просмотра данной страницы!</h3>
			{if $_user->group_id<0 && $login}Вероятно, Вы забыли <a href="{url href=$login redirect=$smarty.server.REQUEST_URI}">авторизоваться</a>.<br />{/if}
			Если вы считаете что произошла ошибка, попробуйте связаться с <a href='mailto:{$core_config.admin_mail}'>администрацией</a>.
		</div>

		<div id="footer">
			<span class="version"><a href="http://labcms.ru">LabCMS</a> v. {$core_config.version.current}</span>
			{if $core_config.debug_mode}<span class="stat">{$stat}</span>{/if}
		</div>
	</div>

	</body>
</html>
