<div id="forum">
	{include file="forum/forum_bar.tpl"}
	{if $smarty.get.search}<div class="forum_search">Вы искали: <span class="forum_hl">{$smarty.get.search|escape}</span></div>{/if}
	<table class="posts">
		<tr>
			<td colspan="2" class="subj">{$forum_info.subject_html}</td>
		</tr>
		{foreach $posts as $post}
		<tr id="p{$post.post_id}" class="post{if $post.hidden} hidden{/if}">
			<td valign="top" style="width:100px">
				{if $post@last}<a name="last"></a>{/if}
				<span{if $post.user_id} class="registred"{/if}>{$post.user_name|escape}</span>
				{if $post.email}
				<br />{mailto address=$post.email text="email" encode="javascript"}<br />
				{/if}
			</td>
			<td>
				{if !$forum_info.hidden}
					<div class="post_controls">
					{if $post.hidden}
						{if $post.access_hide}<a title="восстановить сообщение"  href="{url action='unhide_post'  var1=$post.post_id token=1}"><img class="icon" src="/skins/default/images/icons/simple_component.png" alt="восстановить сообщение" /></a>{/if}
						{if $post.access_delete}<a title="удалить сообщение"  href="{url action='delete_hidden'  var1=$post.post_id token=1}"><img class="icon" src="/skins/default/images/icons/simple_delete.png" onclick="return confirm('Удалить сообщение?');" alt="удалить сообщение" /></a>{/if}
					{else}
						{if $access_add}<a title="ответить"  href="{url action='reply' var1=$post.post_id}"><img class="icon" src="/skins/default/images/icons/simple_add.png" alt="ответить" /></a>{/if}
						{if $access_add}<a title="ответить с цитированием"  href="{url action='quote' var1=$post.post_id}"><img class="icon" src="/skins/default/images/icons/simple_baloon.png" alt="ответить с цитированием" /></a>{/if}
						{if $post.access_edit}<a title="редактировать сообщение"  href="{url action='edit' var1=$post.post_id}"><img class="icon" src="/skins/default/images/icons/simple_edit.png" alt="редактировать сообщение" /></a>{/if}
						{if $post.access_hide}<a title="скрыть сообщение"  href="{url action='hide_post'  var1=$post.post_id token=1}"><img class="icon" src="/skins/default/images/icons/simple_noaccess.png" onclick="return confirm('скрыть сообщение?');" alt="скрыть сообщение" /></a>{/if}
						{if $post.access_delete}<a title="удалить сообщение"  href="{url action='delete'  var1=$post.post_id token=1}"><img class="icon" src="/skins/default/images/icons/simple_delete.png" onclick="return confirm('Удалить сообщение?');" alt="удалить сообщение" /></a>{/if}
					{/if}
						
					</div>
				{/if}
				<div class="smalltext">{$post.putdate|date_format:"%H:%M %d.%m.%Y"}{if $access_moderator}&nbsp;&nbsp;&nbsp;&nbsp;{$post.ip}{/if}</div>
				<div class="post">{$post.msg_html}</div>
				{if $post.edited}<div class="post edited">[{if $post.hidden}Удалено{else}Отредактировано{/if} {$post.edited|escape}]</div>{/if}
			</td>
		</tr>
		{/foreach}
	</table>

	{if $pager.pages}
	<div class="navigate">
		{foreach $pager.pages as $page}
			{if !$page} ... {elseif $page==$pager.current}
				<b>{$page}</b>	
			{else}
				<a href="{url action='theme' var1=$forum_info.theme_id var2=$page var3=$smarty.get.search}">{$page}</a>
			{/if}
			{if !$page@last}|{/if}
		{/foreach}
	</div>
	{/if}
</div>