{include file="lc_album/album_toolbar.tpl"}

<div id="albums">
{foreach $albums as $album}
	<div class="album">
		{if access('admin')}
			<div class="tools">
				<a title="Переместить вверх"  href="{url action="album_up" var1=$album.album_id var2=$pager.current token=1}"><img src="/skins/default/images/icons/simple_arrow_up.png" alt="Переместить вверх" /></a>
				<a title="Переместить вниз"  href="{url action="album_down" var1=$album.album_id var2=$pager.current token=1}"><img src="/skins/default/images/icons/simple_arrow_down.png" alt="Переместить вниз" /></a>
				<a title="Редактировать альбом"  href="{url action="album_edit" var1=$album.album_id}"><img src="/skins/default/images/icons/simple_edit.png" alt="Редактировать альбом" /></a>
				<a title="Удалить альбом"  onclick="return confirm('Удалить альбом и все изображения в нем?');" href="{url action="album_delete" var1=$album.album_id token=1}"><img src="/skins/default/images/icons/simple_delete.png" alt="Удалить альбом" /></a>
			</div>
		{/if}

		<a title="{$album.name|escape}" href="{url action='album' var1=$album.album_id var2=1}">
			<img class="album_logo" alt="{$album.name|escape}" src="{$album.logo_file|default:"/skins/default/lc_album/images/album_icon.png"}" />
			{$album.name|escape}
		</a>
		<div class="describe">{$album.describe_html}</div>
		<div class="clear"></div>
	</div>
{foreachelse}
	<div>{t}Пока нет ни одного альбома{/t}</div>
{/foreach}
</div>

{if $pager.total>1}
	<div class="pagination" id="pagination">
		{foreach $pager.labels as $key=>$label}
			{if !$label} ... {elseif $pager.pages.$key==$pager.current} 
				<b>{$label}</b>
			{else}
				<a href="{url var1=$pager.pages.$key}">{$label}</a>
			{/if}
		{/foreach}
	</div>
{/if}